
QGIS Application - Bug report #15288

GRASS not fully installed in 2.16.0

2016-07-14 11:11 AM - belg4mit -

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.0 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 23222

Description

After installing 2.16.0 multiple times, whenever I try to access a function from the toolbox I receive the following error:

Missing dependency. This algorithm cannot be run :-( 

It seems that GRASS is not correctly installed and configured in your system. Please install it before running GRASS algorithms.

The files are present, but appear not to be registered.

Invoking the tool from the command line I receive this message:

The program can't start because libgrass_gis.7.0.4.dll is missing from your computer. Try reinstalling the program to fix this

problem.

History

#1 - 2016-07-14 11:21 AM - Giovanni Manghi

- Status changed from Open to Feedback

standalone? osgeo4w?

#2 - 2016-07-15 06:06 AM - belg4mit -

OSGEO4W (QGIS-OSGeo4W-2.16.0-1-Setup-x86_64)

#3 - 2016-07-18 12:06 PM - Andre Joost

Can you retry with QGIS-OSGeo4W-2.16.0-2-Setup-x86_64.exe?

#4 - 2016-07-20 06:40 AM - belg4mit -

I have the same problem with 2.16.0-3

#5 - 2016-07-20 08:10 AM - Andre Joost
Grass standalone is working?

What have you entered as GRASS folder / Grass GIS 7 folder / MSYS folder in the processing options Provider section?

#6 - 2016-07-20 09:08 AM - belg4mit -

The installed defaults are:

Grass 7 Msys: C:/PROGRA~1/QGIS21~1.0/apps\\msys

Grass folder: C:/PROGRA~1/QGIS21~1.0/apps\\grass\\grass-7.0.4

Grass Msys: C:/PROGRA~1/QGIS21~1.0/apps\\msys

There is no msys folder in apps though, whereas there is in my installation of 2.12

#7 - 2017-01-03 05:42 AM - Giovanni Manghi

belg4mit - wrote:

OSGEO4W (QGIS-OSGeo4W-2.16.0-1-Setup-x86_64)

this is the standalone installer (that derives from osgeo4w packages).

#8 - 2017-01-03 05:45 AM - Giovanni Manghi

- Resolution set to worksforme

belg4mit - wrote:

The installed defaults are:

Grass 7 Msys: C:/PROGRA~1/QGIS21~1.0/apps\\msys

Grass folder: C:/PROGRA~1/QGIS21~1.0/apps\\grass\\grass-7.0.4

Grass Msys: C:/PROGRA~1/QGIS21~1.0/apps\\msys

There is no msys folder in apps though, whereas there is in my installation of 2.12

GRASS7 has no more msys, while there is in GRASS6.

Please:

    -  try a clean install, deleting the .qgis2 folder and any reference to QGIS in WIndows registry

    -  try the osgeo4w (advanced) install, install only GRASS7, then check in Processing properties that the GRASS7 provider is correctly configured

pointing to the GRASS7 folder within the osgeo4w installation folder.

#9 - 2017-01-18 08:24 AM - Giovanni Manghi

- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.
#10 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
